# \Thelia\ActionCategory

## Summary

Methods
Properties
Constants
create()
modify()
delete()
toggleVisibility()
getSubscribedEvents()
No public properties found
No constants found
validateForm()
propagateFormError()
redirect()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Action/Category.php
Package
  \Default
Class hierarchy
  \Thelia\Action\BaseAction
  \Thelia\Action\Category

## Tags

None found

## Methods

### create()

    create(\Thelia\Core\Event\ActionEvent $event)

#### Parameters

\Thelia\Core\Event\ActionEvent | $event |

#

## Tags

None found

### modify()

    modify(\Thelia\Core\Event\ActionEvent $event)

#### Parameters

\Thelia\Core\Event\ActionEvent | $event |

#

## Tags

None found

### delete()

    delete(\Thelia\Core\Event\ActionEvent $event)

Delete a category

#### Parameters

\Thelia\Core\Event\ActionEvent | $event |

#

## Tags

None found

### toggleVisibility()

    toggleVisibility(\Thelia\Core\Event\ActionEvent $event)

Toggle category visibility. No form used here

#### Parameters

\Thelia\Core\Event\ActionEvent | $event |

#

## Tags

None found

### getSubscribedEvents()

    getSubscribedEvents() : array

Returns an array of event names this subscriber listens to.

The array keys are event names and the value can be:

- The method name to call (priority defaults to 0)
- An array composed of the method name to call and the priority
- An array of arrays composed of the method names to call and respective priorities, or 0 if unset

For instance:

- array('eventName' => 'methodName')
- array('eventName' => array('methodName', $priority))
- array('eventName' => array(array('methodName1', $priority), array('methodName2'))

#### Returns

array —

The event names to listen to

#

static

## Tags

api |

### validateForm()

    validateForm(\Thelia\Form\BaseForm $aBaseForm,  $expectedMethod)

#### Parameters

\Thelia\Form\BaseForm | $aBaseForm |
| $expectedMethod |

#

Inherited from
  \Thelia\Action\BaseAction

## Tags

None found

### propagateFormError()

    propagateFormError(\Thelia\Form\BaseForm $aBaseForm, string $error_message, \Thelia\Core\Event\ActionEvent $event)

#### Parameters

\Thelia\Form\BaseForm | $aBaseForm |
string | $error_message |
\Thelia\Core\Event\ActionEvent | $event |

#

Inherited from
  \Thelia\Action\BaseAction

## Tags

None found

### redirect()

    redirect( $url,  $status)

#### Parameters

| $url |
| $status |

#

Inherited from
  \Thelia\Action\BaseAction

## Tags

None found

### Category.php